> For the complete documentation index, see [llms.txt](https://apidocs.arionbanki.is/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.arionbanki.is/business-apis/documents-api/documents-api-reference.md).

# Documents API Reference

Below is a documentation of the Documents API, note the urls are connected to the live environment. Change them to sandbox if you're working on that environment.

<a href="https://openapi.gitbook.com/o/0A1P6YvuPxpINWkYJpBX/spec/new-BAPI-documents.yaml" class="button primary" data-icon="circle-arrow-down">Download Open API yaml file</a>

Jump to any method

{% columns %}
{% column %}

### Documents

[Query Documents](/business-apis/documents-api/documents-api-reference.md#get-api-v1-documents)

[Upload Document - XML or PDF](/business-apis/documents-api/documents-api-reference.md#post-api-v1-documents)

[Get Document by Id and owner](/business-apis/documents-api/documents-api-reference.md#get-api-v1-documents-ownerkennitala-documentid)

[Get Document types for sender](/business-apis/documents-api/documents-api-reference.md#get-api-v1-documents-senderkennitala-types)
{% endcolumn %}

{% column %}

### Cross-References

[Query Cross-References](/business-apis/documents-api/documents-api-reference.md#get-api-v1-crossreferences)

[Create Cross-References](/business-apis/documents-api/documents-api-reference.md#post-api-v1-crossreferences)

[Edit Cross-References](/business-apis/documents-api/documents-api-reference.md#put-api-v1-crossreferences)

[Delete Cross-Reference](/business-apis/documents-api/documents-api-reference.md#delete-api-v1-crossreferences-document-id-key-type-key)
{% endcolumn %}
{% endcolumns %}

## Query uploaded document processes.

> Queries document and returns an immediate status response.\
> On success (200) the response contains documentsProcesses with id, name, description, document type code and status.\
> Required fields in payload: ownerKennitala, page and itemsPerPage.

```json
{"openapi":"3.0.1","info":{"title":"IOBWS 3.1 Digital Documents","version":"v3.2"},"tags":[{"name":"Documents","description":"API controller for managing documents.\nHandles endpoints for creating, retrieving and listing document metadata."}],"security":[{"oauth2":["profile","b2b"]}],"components":{"securitySchemes":{"oauth2":{"type":"apiKey","description":"Authorization header using the Bearer scheme","name":"Authorization","in":"header"}},"schemas":{"DocumentStore":{"enum":["Ark","RBS"],"type":"string","description":"<p>Possible values:</p>\n<ul>\n</ul>\n"},"OrderDirection":{"enum":["ASC","DESC"],"type":"string","description":"<p>Possible values:</p>\n<ul>\n</ul>\n"},"DocumentsProcessWithStatusList":{"required":["documentsProcesses"],"type":"object","properties":{"documentsProcesses":{"type":"array","items":{"$ref":"#/components/schemas/DocumentsProcessWithStatusDetails"}}},"additionalProperties":false},"DocumentsProcessWithStatusDetails":{"required":["description","documentTypeCode","files","id","name","senderKennitala","status"],"type":"object","properties":{"id":{"maxLength":36,"minLength":36,"pattern":"^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$","type":"string"},"name":{"maxLength":70,"minLength":1,"type":"string"},"description":{"maxLength":140,"minLength":1,"type":"string"},"senderKennitala":{"minLength":1,"type":"string"},"documentTypeCode":{"minLength":1,"type":"string"},"status":{"$ref":"#/components/schemas/ProcessStatus"},"files":{"type":"array","items":{"$ref":"#/components/schemas/FileWithStatusDetails"}}},"additionalProperties":false},"ProcessStatus":{"enum":["Received","InProgress","Completed","CompletedWithErrors","Failed"],"type":"string","description":"<p>Possible values:</p>\n<ul>\n</ul>\n"},"FileWithStatusDetails":{"required":["id","receiverKennitala","status"],"type":"object","properties":{"id":{"maxLength":36,"minLength":36,"pattern":"^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$","type":"string"},"description":{"maxLength":140,"type":"string","nullable":true},"receiverKennitala":{"maxLength":10,"minLength":1,"type":"string"},"fileType":{"$ref":"#/components/schemas/FileType"},"status":{"$ref":"#/components/schemas/ProcessStatus"},"statusMessage":{"maxLength":250,"type":"string","nullable":true},"reference":{"type":"string","nullable":true},"effectiveDate":{"type":"string","format":"date","nullable":true},"isCrossReferenced":{"type":"boolean","nullable":true},"externalId":{"type":"string","nullable":true}},"additionalProperties":false},"FileType":{"enum":["XML","PDF"],"type":"string","description":"<p>Possible values:</p>\n<ul>\n</ul>\n"},"ErrorResponse":{"required":["code","type"],"type":"object","properties":{"type":{"maxLength":70,"minLength":1,"type":"string"},"title":{"maxLength":70,"type":"string","nullable":true},"detail":{"maxLength":500,"type":"string","nullable":true},"code":{"minLength":1,"type":"string"},"additionalErrors":{"type":"array","items":{"$ref":"#/components/schemas/AdditionalError"},"nullable":true}},"additionalProperties":false},"AdditionalError":{"required":["code"],"type":"object","properties":{"title":{"maxLength":70,"type":"string","nullable":true},"detail":{"maxLength":500,"type":"string","nullable":true},"code":{"minLength":1,"type":"string"}},"additionalProperties":false}}},"paths":{"/api/v1/documents":{"get":{"tags":["Documents"],"summary":"Query uploaded document processes.","description":"Queries document and returns an immediate status response.\nOn success (200) the response contains documentsProcesses with id, name, description, document type code and status.\nRequired fields in payload: ownerKennitala, page and itemsPerPage.","operationId":"SearchForDocumentsProcess","parameters":[{"name":"X-Request-ID","in":"header","description":"Unique request identifier.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"USR-IP-Address","in":"header","description":"The forwarded IP Address header field consists of the corresponding http request IP Address field between User and intermediary service.","schema":{"type":"string"}},{"name":"Idempotency-Key","in":"header","description":"Optional idempotency key.","schema":{"type":"string"}},{"name":"SenderKennitala","in":"query","schema":{"type":"string"}},{"name":"OwnerKennitala","in":"query","required":true,"schema":{"type":"string"}},{"name":"DocumentTypeCode","in":"query","schema":{"type":"string"}},{"name":"DocumentStore","in":"query","description":"<p>Possible values:</p>\n<ul>\n</ul>\n","schema":{"$ref":"#/components/schemas/DocumentStore"}},{"name":"DocumentId","in":"query","schema":{"type":"string"}},{"name":"DateFrom","in":"query","required":true,"schema":{"type":"string","format":"date-time"}},{"name":"DateTo","in":"query","required":true,"schema":{"type":"string","format":"date-time"}},{"name":"Ordering","in":"query","description":"<p>Possible values:</p>\n<ul>\n</ul>\n","required":true,"schema":{"$ref":"#/components/schemas/OrderDirection"}},{"name":"ItemsPerPage","in":"query","required":true,"schema":{"maximum":500,"minimum":1,"type":"integer","format":"int32"}},{"name":"Page","in":"query","required":true,"schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"Ocp-Apim-Subscription-Key","in":"header","description":"Azure API management subscription key","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Document uploaded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentsProcessWithStatusList"}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Upload and store new documents.

> Uploads document and returns an immediate status response.\
> On success (200) the response includes id, name, description, document type code and status..\
> Required fields in payload: senderKennitala, documentTypeCode, files.

```json
{"openapi":"3.0.1","info":{"title":"IOBWS 3.1 Digital Documents","version":"v3.2"},"tags":[{"name":"Documents","description":"API controller for managing documents.\nHandles endpoints for creating, retrieving and listing document metadata."}],"security":[{"oauth2":["profile","b2b"]}],"components":{"securitySchemes":{"oauth2":{"type":"apiKey","description":"Authorization header using the Bearer scheme","name":"Authorization","in":"header"}},"schemas":{"DocumentsProcessDetails":{"required":["documentTypeCode","files","senderKennitala"],"type":"object","properties":{"senderKennitala":{"minLength":1,"type":"string"},"documentTypeCode":{"minLength":1,"type":"string"},"documentStore":{"$ref":"#/components/schemas/DocumentStore"},"effectiveDate":{"type":"string","format":"date-time","nullable":true},"styleSheetName":{"maxLength":200,"type":"string","nullable":true},"files":{"type":"array","items":{"$ref":"#/components/schemas/FileDetails"}}},"additionalProperties":false},"DocumentStore":{"enum":["Ark","RBS"],"type":"string","description":"<p>Possible values:</p>\n<ul>\n</ul>\n"},"FileDetails":{"required":["fileType","id","receiverKennitala"],"type":"object","properties":{"id":{"maxLength":36,"minLength":36,"pattern":"^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$","type":"string"},"description":{"maxLength":140,"type":"string","nullable":true},"receiverKennitala":{"minLength":1,"type":"string"},"fileType":{"$ref":"#/components/schemas/FileType"},"file":{"type":"string","nullable":true}},"additionalProperties":false},"FileType":{"enum":["XML","PDF"],"type":"string","description":"<p>Possible values:</p>\n<ul>\n</ul>\n"},"DocumentsProcessWithStatusDetails":{"required":["description","documentTypeCode","files","id","name","senderKennitala","status"],"type":"object","properties":{"id":{"maxLength":36,"minLength":36,"pattern":"^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$","type":"string"},"name":{"maxLength":70,"minLength":1,"type":"string"},"description":{"maxLength":140,"minLength":1,"type":"string"},"senderKennitala":{"minLength":1,"type":"string"},"documentTypeCode":{"minLength":1,"type":"string"},"status":{"$ref":"#/components/schemas/ProcessStatus"},"files":{"type":"array","items":{"$ref":"#/components/schemas/FileWithStatusDetails"}}},"additionalProperties":false},"ProcessStatus":{"enum":["Received","InProgress","Completed","CompletedWithErrors","Failed"],"type":"string","description":"<p>Possible values:</p>\n<ul>\n</ul>\n"},"FileWithStatusDetails":{"required":["id","receiverKennitala","status"],"type":"object","properties":{"id":{"maxLength":36,"minLength":36,"pattern":"^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$","type":"string"},"description":{"maxLength":140,"type":"string","nullable":true},"receiverKennitala":{"maxLength":10,"minLength":1,"type":"string"},"fileType":{"$ref":"#/components/schemas/FileType"},"status":{"$ref":"#/components/schemas/ProcessStatus"},"statusMessage":{"maxLength":250,"type":"string","nullable":true},"reference":{"type":"string","nullable":true},"effectiveDate":{"type":"string","format":"date","nullable":true},"isCrossReferenced":{"type":"boolean","nullable":true},"externalId":{"type":"string","nullable":true}},"additionalProperties":false},"ErrorResponse":{"required":["code","type"],"type":"object","properties":{"type":{"maxLength":70,"minLength":1,"type":"string"},"title":{"maxLength":70,"type":"string","nullable":true},"detail":{"maxLength":500,"type":"string","nullable":true},"code":{"minLength":1,"type":"string"},"additionalErrors":{"type":"array","items":{"$ref":"#/components/schemas/AdditionalError"},"nullable":true}},"additionalProperties":false},"AdditionalError":{"required":["code"],"type":"object","properties":{"title":{"maxLength":70,"type":"string","nullable":true},"detail":{"maxLength":500,"type":"string","nullable":true},"code":{"minLength":1,"type":"string"}},"additionalProperties":false}}},"paths":{"/api/v1/documents":{"post":{"tags":["Documents"],"summary":"Upload and store new documents.","description":"Uploads document and returns an immediate status response.\nOn success (200) the response includes id, name, description, document type code and status..\nRequired fields in payload: senderKennitala, documentTypeCode, files.","operationId":"CreateDocument","parameters":[{"name":"X-Request-ID","in":"header","description":"Unique request identifier.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"USR-IP-Address","in":"header","description":"The forwarded IP Address header field consists of the corresponding http request IP Address field between User and intermediary service.","schema":{"type":"string"}},{"name":"Idempotency-Key","in":"header","description":"Optional idempotency key.","schema":{"type":"string"}},{"name":"Ocp-Apim-Subscription-Key","in":"header","description":"Azure API management subscription key","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Upload documents payload.","content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/DocumentsProcessDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/DocumentsProcessDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/DocumentsProcessDetails"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/DocumentsProcessDetails"}}},"required":true},"responses":{"201":{"description":"Document uploaded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentsProcessWithStatusDetails"}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found."},"500":{"description":"Internal Error."},"503":{"description":"Service Unavailable."}}}}}}
```

## GET /api/v1/documents/{ownerKennitala}/{documentId}

> Get a document by owner and document ID.

```json
{"openapi":"3.0.1","info":{"title":"IOBWS 3.1 Digital Documents","version":"v3.2"},"tags":[{"name":"Documents","description":"API controller for managing documents.\nHandles endpoints for creating, retrieving and listing document metadata."}],"security":[{"oauth2":["profile","b2b"]}],"components":{"securitySchemes":{"oauth2":{"type":"apiKey","description":"Authorization header using the Bearer scheme","name":"Authorization","in":"header"}},"schemas":{"DocumentStore":{"enum":["Ark","RBS"],"type":"string","description":"<p>Possible values:</p>\n<ul>\n</ul>\n"},"GetDocumentByIdResponse":{"type":"object","properties":{"pdfDocument":{"type":"string","nullable":true},"xmlDocument":{"type":"string","nullable":true},"documentInfo":{"$ref":"#/components/schemas/DocumentInfo"}},"additionalProperties":false},"DocumentInfo":{"type":"object","properties":{"id":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"fileType":{"type":"string","nullable":true},"reference":{"type":"string","nullable":true},"externalId":{"type":"string","nullable":true},"effectiveDate":{"type":"string","format":"date-time"},"ownerId":{"type":"string","nullable":true},"sender":{"$ref":"#/components/schemas/Sender"},"dataStorageCode":{"type":"string","nullable":true},"isCrossReferenced":{"type":"boolean"},"isCrossReferencedSpecified":{"type":"boolean"}},"additionalProperties":false},"Sender":{"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"ErrorResponse":{"required":["code","type"],"type":"object","properties":{"type":{"maxLength":70,"minLength":1,"type":"string"},"title":{"maxLength":70,"type":"string","nullable":true},"detail":{"maxLength":500,"type":"string","nullable":true},"code":{"minLength":1,"type":"string"},"additionalErrors":{"type":"array","items":{"$ref":"#/components/schemas/AdditionalError"},"nullable":true}},"additionalProperties":false},"AdditionalError":{"required":["code"],"type":"object","properties":{"title":{"maxLength":70,"type":"string","nullable":true},"detail":{"maxLength":500,"type":"string","nullable":true},"code":{"minLength":1,"type":"string"}},"additionalProperties":false}}},"paths":{"/api/v1/documents/{ownerKennitala}/{documentId}":{"get":{"tags":["Documents"],"summary":"Get a document by owner and document ID.","operationId":"GetDocumentById","parameters":[{"name":"X-Request-ID","in":"header","description":"Unique request identifier.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"USR-IP-Address","in":"header","description":"The forwarded IP Address header field consists of the corresponding http request IP Address field between User and intermediary service.","schema":{"type":"string"}},{"name":"Idempotency-Key","in":"header","description":"Optional idempotency key.","schema":{"type":"string"}},{"name":"ownerKennitala","in":"path","description":"The owner's kennitala.","required":true,"schema":{"type":"string"}},{"name":"documentId","in":"path","description":"The document identifier.","required":true,"schema":{"type":"string"}},{"name":"documentStore","in":"query","description":"Optional document store filter.","schema":{"$ref":"#/components/schemas/DocumentStore"}},{"name":"Ocp-Apim-Subscription-Key","in":"header","description":"Azure API management subscription key","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Document uploaded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetDocumentByIdResponse"}}}},"400":{"description":"Bad Request."},"403":{"description":"Forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## GET /api/v1/documents/{senderKennitala}/types

> Get available document types for a specific sender.

```json
{"openapi":"3.0.1","info":{"title":"IOBWS 3.1 Digital Documents","version":"v3.2"},"tags":[{"name":"Documents","description":"API controller for managing documents.\nHandles endpoints for creating, retrieving and listing document metadata."}],"security":[{"oauth2":["profile","b2b"]}],"components":{"securitySchemes":{"oauth2":{"type":"apiKey","description":"Authorization header using the Bearer scheme","name":"Authorization","in":"header"}},"schemas":{"DocumentStore":{"enum":["Ark","RBS"],"type":"string","description":"<p>Possible values:</p>\n<ul>\n</ul>\n"},"GetDocumentTypesBySenderResponse":{"type":"object","properties":{"sender":{"$ref":"#/components/schemas/Sender"},"documentTypes":{"type":"array","items":{"$ref":"#/components/schemas/DocumentTypeDetails"},"nullable":true}},"additionalProperties":false},"Sender":{"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"DocumentTypeDetails":{"required":["code"],"type":"object","properties":{"code":{"maxLength":10,"minLength":1,"type":"string"},"name":{"maxLength":70,"type":"string","nullable":true},"durableMedia":{"type":"boolean","nullable":true},"description":{"maxLength":140,"type":"string","nullable":true},"fileType":{"type":"string","nullable":true},"documentCategory":{"$ref":"#/components/schemas/DocumentCategory"}},"additionalProperties":false},"DocumentCategory":{"type":"object","properties":{"code":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"subCode":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"ErrorResponse":{"required":["code","type"],"type":"object","properties":{"type":{"maxLength":70,"minLength":1,"type":"string"},"title":{"maxLength":70,"type":"string","nullable":true},"detail":{"maxLength":500,"type":"string","nullable":true},"code":{"minLength":1,"type":"string"},"additionalErrors":{"type":"array","items":{"$ref":"#/components/schemas/AdditionalError"},"nullable":true}},"additionalProperties":false},"AdditionalError":{"required":["code"],"type":"object","properties":{"title":{"maxLength":70,"type":"string","nullable":true},"detail":{"maxLength":500,"type":"string","nullable":true},"code":{"minLength":1,"type":"string"}},"additionalProperties":false}}},"paths":{"/api/v1/documents/{senderKennitala}/types":{"get":{"tags":["Documents"],"summary":"Get available document types for a specific sender.","operationId":"GetDocumentTypesBySender","parameters":[{"name":"X-Request-ID","in":"header","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"USR-IP-Address","in":"header","schema":{"type":"string"}},{"name":"Idempotency-Key","in":"header","schema":{"type":"string"}},{"name":"senderKennitala","in":"path","required":true,"schema":{"type":"string"}},{"name":"documentStore","in":"query","description":"<p>Possible values:</p>\n<ul>\n</ul>\n","schema":{"$ref":"#/components/schemas/DocumentStore"}},{"name":"Ocp-Apim-Subscription-Key","in":"header","description":"Azure API management subscription key","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetDocumentTypesBySenderResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Query cross-references

> Query cross-references. This method returns an array of cross-references matching the search criteria.  Although the search criteria are optional, the key of at least one of the cross-reference relata and its respective data storage or key type must be provided. That is, either or both the ID of the document (\_documentId\_) and its data storage (\_documentStore\_) or the key (\_key\_) and the type (\_keyType\_) of the object related to the document in question must be provided.

```json
{"openapi":"3.0.1","info":{"title":"IOBWS 3.1 Digital Documents","version":"v3.2"},"tags":[{"name":"CrossReference","description":"API controller for managing cross-references.\nHandles endpoints for creating, retrieving, updating, and deleting cross-references."}],"security":[{"oauth2":["profile","b2b"]}],"components":{"securitySchemes":{"oauth2":{"type":"apiKey","description":"Authorization header using the Bearer scheme","name":"Authorization","in":"header"}},"schemas":{"DocumentStore":{"enum":["Ark","RBS"],"type":"string","description":"<p>Possible values:</p>\n<ul>\n</ul>\n"},"KeyType":{"enum":["Claim","CreditTransfer","PaymentRequest"],"type":"string","description":"<p>Possible values:</p>\n<ul>\n</ul>\n"},"DocumentCategoryEnum":{"enum":["AccountStatement","PaymentForm","Bill","CreditCard","Payslip","Password","InterestNote","SalarySlip","TransactionStatement","PaymentNotification","Report","Receipt","Notification","TimeSheet","CollectionLetter","WarningLetter","Reminder","Other"],"type":"string","description":"<p>Possible values:</p>\n<ul>\n</ul>\n"},"CrossReference":{"type":"object","properties":{"keyType":{"$ref":"#/components/schemas/KeyType"},"documentStore":{"$ref":"#/components/schemas/DocumentStore"},"documentCategory":{"$ref":"#/components/schemas/DocumentCategoryEnum"},"key":{"type":"string","nullable":true},"documentId":{"type":"string","nullable":true},"documentDescription":{"type":"string","nullable":true},"documentEffectiveDate":{"type":"string","format":"date","nullable":true},"externalEventId":{"type":"string","nullable":true}},"additionalProperties":false},"ErrorResponse":{"required":["code","type"],"type":"object","properties":{"type":{"maxLength":70,"minLength":1,"type":"string"},"title":{"maxLength":70,"type":"string","nullable":true},"detail":{"maxLength":500,"type":"string","nullable":true},"code":{"minLength":1,"type":"string"},"additionalErrors":{"type":"array","items":{"$ref":"#/components/schemas/AdditionalError"},"nullable":true}},"additionalProperties":false},"AdditionalError":{"required":["code"],"type":"object","properties":{"title":{"maxLength":70,"type":"string","nullable":true},"detail":{"maxLength":500,"type":"string","nullable":true},"code":{"minLength":1,"type":"string"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}},"HttpValidationProblemDetails":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProblemDetails"}],"properties":{"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/crossreferences":{"get":{"tags":["CrossReference"],"summary":"Query cross-references","description":"Query cross-references. This method returns an array of cross-references matching the search criteria.  Although the search criteria are optional, the key of at least one of the cross-reference relata and its respective data storage or key type must be provided. That is, either or both the ID of the document (_documentId_) and its data storage (_documentStore_) or the key (_key_) and the type (_keyType_) of the object related to the document in question must be provided.","operationId":"GetCrossReferences","parameters":[{"name":"X-Request-ID","in":"header","description":"ID of the request, unique to the call, as determined by the initiating party.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"USR-IP-Address","in":"header","description":"The forwarded IP Address header field consists of the corresponding http request IP Address field between User and intermediary service.","schema":{"type":"string"}},{"name":"Idempotency-Key","in":"header","description":"Idempotent value for the operation being performed.","schema":{"type":"string"}},{"name":"DocumentStore","in":"query","description":"<p>Possible values:</p>\n<ul>\n</ul>\n","schema":{"$ref":"#/components/schemas/DocumentStore"}},{"name":"DocumentId","in":"query","schema":{"type":"string","format":"string"}},{"name":"KeyType","in":"query","description":"<p>Possible values:</p>\n<ul>\n</ul>\n","schema":{"$ref":"#/components/schemas/KeyType"}},{"name":"Key","in":"query","schema":{"type":"string","format":"string"}},{"name":"DocumentCategory","in":"query","description":"<p>Possible values:</p>\n<ul>\n</ul>\n","schema":{"$ref":"#/components/schemas/DocumentCategoryEnum"}},{"name":"DateFrom","in":"query","schema":{"type":"string","format":"date"}},{"name":"DateTo","in":"query","schema":{"type":"string","format":"date"}},{"name":"Ocp-Apim-Subscription-Key","in":"header","description":"Azure API management subscription key","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"List of cross-references matching query parameters.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrossReference"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"405":{"description":"Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"408":{"description":"Request Timeout","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}},"415":{"description":"Unsupported Media Type","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}},"500":{"description":"Internal Server Error"},"503":{"description":"Service Unavailable"}}}}}}
```

## Create new cross-references

> Create an array of new cross-references between documents and some other objects (such as claims, credit transfers and payment requests).

```json
{"openapi":"3.0.1","info":{"title":"IOBWS 3.1 Digital Documents","version":"v3.2"},"tags":[{"name":"CrossReference","description":"API controller for managing cross-references.\nHandles endpoints for creating, retrieving, updating, and deleting cross-references."}],"security":[{"oauth2":["profile","b2b"]}],"components":{"securitySchemes":{"oauth2":{"type":"apiKey","description":"Authorization header using the Bearer scheme","name":"Authorization","in":"header"}},"schemas":{"CrossReference":{"type":"object","properties":{"keyType":{"$ref":"#/components/schemas/KeyType"},"documentStore":{"$ref":"#/components/schemas/DocumentStore"},"documentCategory":{"$ref":"#/components/schemas/DocumentCategoryEnum"},"key":{"type":"string","nullable":true},"documentId":{"type":"string","nullable":true},"documentDescription":{"type":"string","nullable":true},"documentEffectiveDate":{"type":"string","format":"date","nullable":true},"externalEventId":{"type":"string","nullable":true}},"additionalProperties":false},"KeyType":{"enum":["Claim","CreditTransfer","PaymentRequest"],"type":"string","description":"<p>Possible values:</p>\n<ul>\n</ul>\n"},"DocumentStore":{"enum":["Ark","RBS"],"type":"string","description":"<p>Possible values:</p>\n<ul>\n</ul>\n"},"DocumentCategoryEnum":{"enum":["AccountStatement","PaymentForm","Bill","CreditCard","Payslip","Password","InterestNote","SalarySlip","TransactionStatement","PaymentNotification","Report","Receipt","Notification","TimeSheet","CollectionLetter","WarningLetter","Reminder","Other"],"type":"string","description":"<p>Possible values:</p>\n<ul>\n</ul>\n"},"CrossReferenceResponse":{"type":"object","properties":{"crossReferences":{"type":"array","items":{"$ref":"#/components/schemas/CrossReferenceMini"},"nullable":true},"failures":{"type":"array","items":{"$ref":"#/components/schemas/CrossReferenceFailure"},"nullable":true}},"additionalProperties":false},"CrossReferenceMini":{"type":"object","properties":{"keyType":{"$ref":"#/components/schemas/KeyType"},"key":{"type":"string","nullable":true},"documentId":{"type":"string","nullable":true},"externalEventId":{"type":"string","nullable":true}},"additionalProperties":false},"CrossReferenceFailure":{"type":"object","properties":{"keyType":{"$ref":"#/components/schemas/KeyType"},"key":{"type":"string","nullable":true},"documentId":{"type":"string","nullable":true},"failureReason":{"type":"string","nullable":true}},"additionalProperties":false},"ErrorResponse":{"required":["code","type"],"type":"object","properties":{"type":{"maxLength":70,"minLength":1,"type":"string"},"title":{"maxLength":70,"type":"string","nullable":true},"detail":{"maxLength":500,"type":"string","nullable":true},"code":{"minLength":1,"type":"string"},"additionalErrors":{"type":"array","items":{"$ref":"#/components/schemas/AdditionalError"},"nullable":true}},"additionalProperties":false},"AdditionalError":{"required":["code"],"type":"object","properties":{"title":{"maxLength":70,"type":"string","nullable":true},"detail":{"maxLength":500,"type":"string","nullable":true},"code":{"minLength":1,"type":"string"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}},"HttpValidationProblemDetails":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProblemDetails"}],"properties":{"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/crossreferences":{"post":{"tags":["CrossReference"],"summary":"Create new cross-references","description":"Create an array of new cross-references between documents and some other objects (such as claims, credit transfers and payment requests).","operationId":"CreateCrossReferences","parameters":[{"name":"X-Request-ID","in":"header","description":"ID of the request, unique to the call, as determined by the initiating party.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"USR-IP-Address","in":"header","description":"The forwarded IP Address header field consists of the corresponding http request IP Address field between User and intermediary service.","schema":{"type":"string"}},{"name":"Idempotency-Key","in":"header","description":"Idempotent value for the operation being performed.","schema":{"type":"string"}},{"name":"Ocp-Apim-Subscription-Key","in":"header","description":"Azure API management subscription key","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"JSON request body for a cross-references creation request message","content":{"application/json-patch+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrossReference"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrossReference"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrossReference"}}},"application/*+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrossReference"}}}}},"responses":{"201":{"description":"Cross-references created successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossReferenceResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"405":{"description":"Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"408":{"description":"Request Timeout","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}},"415":{"description":"Unsupported Media Type","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}},"500":{"description":"Internal Server Error"},"503":{"description":"Service Unavailable"}}}}}}
```

## Updates cross-references

> Updates an array of new cross-references between documents and some other objects (such as claims, credit transfers and payment requests).

```json
{"openapi":"3.0.1","info":{"title":"IOBWS 3.1 Digital Documents","version":"v3.2"},"tags":[{"name":"CrossReference","description":"API controller for managing cross-references.\nHandles endpoints for creating, retrieving, updating, and deleting cross-references."}],"security":[{"oauth2":["profile","b2b"]}],"components":{"securitySchemes":{"oauth2":{"type":"apiKey","description":"Authorization header using the Bearer scheme","name":"Authorization","in":"header"}},"schemas":{"CrossReference":{"type":"object","properties":{"keyType":{"$ref":"#/components/schemas/KeyType"},"documentStore":{"$ref":"#/components/schemas/DocumentStore"},"documentCategory":{"$ref":"#/components/schemas/DocumentCategoryEnum"},"key":{"type":"string","nullable":true},"documentId":{"type":"string","nullable":true},"documentDescription":{"type":"string","nullable":true},"documentEffectiveDate":{"type":"string","format":"date","nullable":true},"externalEventId":{"type":"string","nullable":true}},"additionalProperties":false},"KeyType":{"enum":["Claim","CreditTransfer","PaymentRequest"],"type":"string","description":"<p>Possible values:</p>\n<ul>\n</ul>\n"},"DocumentStore":{"enum":["Ark","RBS"],"type":"string","description":"<p>Possible values:</p>\n<ul>\n</ul>\n"},"DocumentCategoryEnum":{"enum":["AccountStatement","PaymentForm","Bill","CreditCard","Payslip","Password","InterestNote","SalarySlip","TransactionStatement","PaymentNotification","Report","Receipt","Notification","TimeSheet","CollectionLetter","WarningLetter","Reminder","Other"],"type":"string","description":"<p>Possible values:</p>\n<ul>\n</ul>\n"},"ErrorResponse":{"required":["code","type"],"type":"object","properties":{"type":{"maxLength":70,"minLength":1,"type":"string"},"title":{"maxLength":70,"type":"string","nullable":true},"detail":{"maxLength":500,"type":"string","nullable":true},"code":{"minLength":1,"type":"string"},"additionalErrors":{"type":"array","items":{"$ref":"#/components/schemas/AdditionalError"},"nullable":true}},"additionalProperties":false},"AdditionalError":{"required":["code"],"type":"object","properties":{"title":{"maxLength":70,"type":"string","nullable":true},"detail":{"maxLength":500,"type":"string","nullable":true},"code":{"minLength":1,"type":"string"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}},"HttpValidationProblemDetails":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProblemDetails"}],"properties":{"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/crossreferences":{"put":{"tags":["CrossReference"],"summary":"Updates cross-references","description":"Updates an array of new cross-references between documents and some other objects (such as claims, credit transfers and payment requests).","operationId":"UpdateCrossReferences","parameters":[{"name":"X-Request-ID","in":"header","description":"ID of the request, unique to the call, as determined by the initiating party.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"USR-IP-Address","in":"header","description":"The forwarded IP Address header field consists of the corresponding http request IP Address field between User and intermediary service.","schema":{"type":"string"}},{"name":"Idempotency-Key","in":"header","description":"Idempotent value for the operation being performed.","schema":{"type":"string"}},{"name":"Ocp-Apim-Subscription-Key","in":"header","description":"Azure API management subscription key","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"JSON request body for a cross-references update request message","content":{"application/json-patch+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrossReference"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrossReference"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrossReference"}}},"application/*+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrossReference"}}}}},"responses":{"200":{"description":"Cross-references updated successfully."},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"405":{"description":"Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"408":{"description":"Request Timeout","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}},"415":{"description":"Unsupported Media Type","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}},"500":{"description":"Internal Server Error"},"503":{"description":"Service Unavailable"}}}}}}
```

## Delete a cross-reference

> Delete a cross-reference.

```json
{"openapi":"3.0.1","info":{"title":"IOBWS 3.1 Digital Documents","version":"v3.2"},"tags":[{"name":"CrossReference","description":"API controller for managing cross-references.\nHandles endpoints for creating, retrieving, updating, and deleting cross-references."}],"security":[{"oauth2":["profile","b2b"]}],"components":{"securitySchemes":{"oauth2":{"type":"apiKey","description":"Authorization header using the Bearer scheme","name":"Authorization","in":"header"}},"schemas":{"KeyType":{"enum":["Claim","CreditTransfer","PaymentRequest"],"type":"string","description":"<p>Possible values:</p>\n<ul>\n</ul>\n"},"ErrorResponse":{"required":["code","type"],"type":"object","properties":{"type":{"maxLength":70,"minLength":1,"type":"string"},"title":{"maxLength":70,"type":"string","nullable":true},"detail":{"maxLength":500,"type":"string","nullable":true},"code":{"minLength":1,"type":"string"},"additionalErrors":{"type":"array","items":{"$ref":"#/components/schemas/AdditionalError"},"nullable":true}},"additionalProperties":false},"AdditionalError":{"required":["code"],"type":"object","properties":{"title":{"maxLength":70,"type":"string","nullable":true},"detail":{"maxLength":500,"type":"string","nullable":true},"code":{"minLength":1,"type":"string"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}},"HttpValidationProblemDetails":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProblemDetails"}],"properties":{"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/crossreferences/{document-id}/{key-type}/{key}":{"delete":{"tags":["CrossReference"],"summary":"Delete a cross-reference","description":"Delete a cross-reference.","operationId":"DeleteCrossReference","parameters":[{"name":"X-Request-ID","in":"header","description":"ID of the request, unique to the call, as determined by the initiating party.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"USR-IP-Address","in":"header","description":"The forwarded IP Address header field consists of the corresponding http request IP Address field between User and intermediary service.","schema":{"type":"string"}},{"name":"Idempotency-Key","in":"header","description":"Idempotent value for the operation being performed.","schema":{"type":"string"}},{"name":"document-id","in":"path","description":"The ID of document related to the object in question. The ID is a unique identifier for the document in its source system. The format of the key is determined by source system.","required":true,"schema":{"type":"string"}},{"name":"key-type","in":"path","description":"Type of object related to the document in question. The value is one of the following:","required":true,"schema":{"$ref":"#/components/schemas/KeyType"}},{"name":"key","in":"path","description":"The key of the object related to the document in question. The key is a unique identifier for the object. The format of the key is determined by the type of the key. For instance, the key could be a claim key if the object is a claim.","required":true,"schema":{"type":"string"}},{"name":"ExternalEventId","in":"query","description":"An ID of an event in an external system which yielded the most recent change of the cross-reference. The format of the external event ID is determined by external system which brought the event about.","schema":{"type":"string"}},{"name":"Ocp-Apim-Subscription-Key","in":"header","description":"Azure API management subscription key","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Cross-references deleted successfully."},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"405":{"description":"Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"408":{"description":"Request Timeout","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}},"415":{"description":"Unsupported Media Type","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}},"500":{"description":"Internal Server Error"},"503":{"description":"Service Unavailable"}}}}}}
```
